urlbase 5.0 documentation

Introduction

Welcome to URLBase 5.0, the complete solution for internet shortcut management! URLBase 5.0 provides a wide range of functionality, aimed to give you full control of your favorite websites, whether you're a novice or an expert. This document describes the features of URLBase, how to use them and how to increase your productivity with URLBase 5.0.

Please note that the topics in this document assume you already know your way through the Microsoft® Windows® operating system and are familiar with frequently used user interface elements, like menus, toolbars, statusbars and listviews. Please consult the documentation that came with your operating system, if this is not the case.

© 2003 Terria Development // Metalusions
All rights reserved.


System requirements

  • 200 MHz or faster processor

  • Microsoft Windows 98
    Microsoft Windows 98 SE
    Microsoft Windows Millennium
    Microsoft Windows NT 4.0 with Service pack 4 or higher
    Microsoft Windows 2000
    Microsoft Windows XP Home Edition
    Microsoft Windows XP Professional

  • 32 MB of RAM

  • Minimum of 10 MB of free hard disk space

  • Display resolution of 800 x 600 pixels or higher

Notes:

For optimal performance install the latest updates and service packs provided by Microsoft for the Windows operating system you're using. Please see the Microsoft website for more information.

Some Internet functionality may require Internet access and payment of a separate fee to a service provider.


Getting started

URLBase is a so called internet shortcut manager (or bookmark manager). It allows you to create a hierarical overview of all your favorite web sites in an easy to use Graphical User Interface (GUI). When a database is opened, the program's main window consists out of two panes:

The left pane contains the Categories treeview, which displays all the available categories in the opened database. As the icons suggests, categories are similar to folders/directories of a filesystem. A category is a container for internet shortcuts, most commonly based on topic. By default the Internet Shortcut listview (on the right pane) displays categories as well, allowing you to navigate the database without the Categories treeview.

Many of URLBase's features can be accessed by using context menus, which appear when you right-click on an item. You can also use keyboard shortcuts to activate certain features. For a full listing see the Keyboard shortcuts topic.

Related topics

Datatypes
Creating a new database
Adding content to the database


Datatypes

URLBase uses a number of datatypes, each with its own icon, to represent items in the database. Here's an overview of those datatypes:

Internet Shortcut [all editions]

The Internet shortcut is the primary datatype of URLBase. As the name suggests, its a reference (or a shortcut) to a resource on the internet, which is specified in the Internet shortcut's URL. Internet Explorer's Favorites and Netscape's Bookmarks can be seen as types of Internet shortcuts.

Category [all editions]

Categories are containers which store Internet shortcuts, categories, groupmarks and aliases. In a way they resemble the folders on your hard disk, which is why categories are displayed with a folder icon.

Groupmark [professional edition]

A Groupmark is a special category which can only contain Internet shortcuts and aliases. Unlike a regular category, a groupmark can be opened in browser. All Internet shortcuts and aliases contained within the Groupmark are opened simultaneously. Groupmarks find their origin in the Mozilla-based browsers (Mozilla 1.x and Netscape 6.x or higher). These browsers allow shortcuts to be grouped and opened at once.

Alias [professional edition]

An Alias is a reference (or a shortcut) to an Internet shortcut in the database. Using aliases, you can store an internet shortcut in multiple categories without any overhead. When you update the original Internet shortcut, all aliases linked to it will be updated as well.


The basics

Creating a new database

  • Launch URLBase, if you haven't done so already

  • Open the File-menu, point to New and select Database. URLBase will display an empty database, called untitled 1.

From this point on you can start adding content to the database and save it to disk via File | Save.

Adding content to the database

You can add content to the database manually or you can have URLBase import content for you. First we'll take a look how to add content manually:

  • Open the File-menu, point to New and select Category...

  • URLBase displays the New category-dialog. Type a name for the new category in the Name-editbox and click the OK-button. The new category will now appear in the category list (or in the internet shortcut list if the category list has been hidden).

  • Select the newly added category by clicking on it in the category list (or double-click on the category in the internet shortcut list)

  • Place your mouse cursor anywhere in the internet shortcut list and right-click to bring up the context-menu

  • Point to New and select Internet shortcut
  • In the New internet shortcut-dialog, type a name and URL in the appropriate editboxes and click the OK-button. The new internet shortcut will now appear in the internet shortcut list.

As you can see, there are several ways to add content manually. You can use the menu structure that appears at the top of the screen or use so called context-menus by right-clicking on a control. You can also use the toolbar or keyboard shortcuts for quick access to frequently used commands. As mentioned before, URLBase can add content to the database for you by importing internet shortcuts from one or more sources. Here's how to proceed:

  • Open the File-menu and select Import/Export.

  • In the Import/Export wizard-dialog you'll see a listing of available import and export actions. Select Import from browser and click the Next-button.

  • You will see a list with browsers from which URLBase can import internet shortcuts (Please note that this listing does not display the browsers you have installed on your system. The browsers listed here are supported by URLBase). Select a browser you have installed on your system from the list and click the Next-button.

  • Specify the source path from which you want URLBase to import internet shortcuts. You can type a path/filename or select a previously used path by clicking the down arrow to the right of the editbox. You can also use the Browse-button to select a path/filename on your system. Click the Next-button to proceed.

    The source path you need to specify depends on the browser you've selected. For Internet Explorer you need to specify a path, pointing to Internet Explorer's Favorites. For Mozilla and Netscape 6 or higher you need to select a *.html-file (usually called bookmarks.html, located in your Mozilla/Netscape profile folder) and for Netscape Navigator you need to select a *.htm-file (usually called bookmark.htm, located in your Netscape Navigator profile folder). Opera uses *.adr-files, which are located in the Opera installation folder.

  • The Import/Export wizard will display the selection you have made. Click the Finish-button to begin importing internet shorcuts.

  • URLBase will display the Confirm import-dialog, which allows you to select individual internet shortcuts and/or categories for import or to cancel the import all together. Click the Import-button to add the selected internet shortcuts and/or categories to the database.

    Note that the Import-button is only enabled if you have one or more internet shortcuts selected for import.

In the above example we've imported internet shortcuts from a browser but URLBase supports a variety of formats which you can select in the Import/Export wizard-dialog.


Keyboard shortcuts

Shortcut | Description
CTRL+A | Select all
CTRL+C | Copy selection to clipboard
CTRL+F | Find
CTRL+H | Copy selection to clipboard as HTML
CTRL+N | Create a new URLBase 5.0 database
CTRL+O | Open a URLBase 5.0 database
CTRL+S | Save changes
CTRL+SHIFT+S | Save document as
CTRL+U | Copy selected internet shortcut's URL to clipboard
CTRL+V | Paste contents of clipboard into database
CTRL+W | Close database
CTRL+F1 to CTRL+F12 | Lauches browser application (user defined)
CTRL+INS | Add new Groupmark
F1 | Help contents
F2 | Rename the selection
F3 | Repeat last find
F4 | Scan for duplicates
F7 | Synchronize
F8 | Verify document
F9 | Verify selection
DEL | Delete the selection
Ins | Add new internet shortcut
SHIFT+F1 | Opens selected internet shortcut in the system's default browser
SHIFT+F2 to SHIFT+F12 | Opens selected internet shortcut in browser application (user defined)
SHIFT+Ins | Add new category
SHIFT+CTRL+INS | Create new alias for selected internet shortcut
ALT+ENTER | Display properties of selection


Using browsers

Using browsers [all editions]

URLBase allows you to quickly launch your favorite browser and to open your internet shortcuts in any browser installed on your system. To launch a browser, use the Browsers-menu which can be found on the Tools-menu. To open an internet shortcut in a specific browser, right-click on the internet shortcut and use the Open with-menu displayed on the context-menu. You can also use the keyboard shortcuts assigned to a browser.

The browsers you add will be listed in the Customize browsers menu dialog. In this dialog you can see that URLBase automatically assigns keyboard shortcuts to the browsers, based on the order they were added. URLBase uses the CTRL-key in combination with a Function-key (F1 to F12). Using these keyboard shortcuts will launch a specific browser. To open an internet shortcut with a specific browser, replace the CTRL-key with the SHIFT-key. For example: to open an internet shortcut in Netscape 7.0, use the keyboard shortcut SHIFT+F4 (see above screenshot). You can change the order of browsers (and thus the keyboard shortcut assigned to them) by using the Up and Down-buttons on the toolbar. Note that the system's default browser will always appear as the first browser.

Changes you've made will only be applied to the Browsers-menu when you close the dialog by clicking the OK-button.

Adding browsers

  • Open the Customize browsers menu-dialog via Tools|Browsers|Customize

  • Click the Auto-detect-button to have URLBase auto-detect the installed browsers on your system. To add a browser manually click the Add browser-button.

  • Click the Browse-button to select a browser's executable on your system. The selected executable Filename, Path and Version will be displayed by URLBase on the General-page.

  • On the Options-page you can specify a Display name for the browser. This name will be used to display the browser on the Browsers-menu.

  • Optionally, specify additional commandline parameters to be used when opening an internet shortcut with the browser. Please consult your browser's documentation for more information.


Drag 'n drop from browsers

Drag 'n drop from browsers [all editions]

Besides using the Import/Export wizard, you can also add internet shortcuts to the database by dragging them from your browser to URLBase. For this to work you need to open a website in your browser. Once the site has loaded you can drag it to URLBase. Here's how to proceed:

Internet Explorer

  • Move your mouse pointer over the image in the Address-bar (see above screenshot).

  • Press and hold your left mousebutton to "grab" the URL.

  • Move your mouse pointer to the taskbar and place it over the URLBase icon. Once URLBase has been restored move your mouse pointer over the main display and either drop it in the Categories view or in the internet shortcut view by releasing your left mousebutton.

Mozilla 1.x/Netscape 6.x/Netscape 7.x

  • Move you mouse pointer over the image in the Address-bar (see above screenshot).

  • Press and hold your left mousebutton to "grab" the URL.

  • Move your mouse pointer to the taskbar and place it over the URLBase icon. Once URLBase has been restored move your mouse pointer over the main display and either drop it in the Categories view or in the internet shortcut view by releasing your left mousebutton.

Note: at the time of writing Opera browsers do not allow URL's to be dragged outside the Opera browser.


Importing internet shortcuts

Importing internet shortcuts [all editions]

You can import internet shortcuts via the Import/Export-wizard, which can be found on the File-menu. By using this wizard you can import internet shortcuts from browsers, libraries, HTML files, text files, URLBase 4.0 databases and URLBase 5.0 databases.

Import from browser

  • In the Import/Export wizard-dialog, select the Import from browser-action and click Next.

  • In the list of Supported browsers, select the browser you wish to import from and click Next. The browsers listed here don't have to be installed on your system in order for URLBase to be able to import internet shortcuts. For example: you can import internet shortcuts from a Opera Hotlist without having installed the Opera browser itself. All you need is the Opera Hotlist file itself.

  • Type the location where you wish to import the internet shortcuts from or select a previously used file by clicking on the down-arrow displayed to the right of the Source path-editbox. Click the Browse-button to select a file on your computer or network. The type of file you can select depends on the browser you've selected in the previous step. For Internet Explorer you need to select the Favorites-folder, while for Nescape and Mozilla browsers you need to select a HTML file. If you selected Opera in the previous step then you need to select a Hotlist file (*.adr). Click the Next-button to continue.

  • The wizard will display your selection. Click Finish to begin importing internet shortcuts from the location you specified or click Back to review your selection.

Import from library

  • In the Import/Export wizard-dialog, select the Import from library-action and click Next

  • Select the library you wish to import internet shortcuts from and click Next. Note that URLBase will display a warning if you haven't defined any libraries yet. Also note that Generic-libraries are not listed here because they are not associated with an external file. See the Libraries topic for more information.

  • The wizard will display your selection. Click Finish to begin importing internet shortcuts from the library you specified or click Back to select another library.

Import from file

  • In the Import/Export wizard-dialog, select the Import from file-action and click Next.

  • Type to full filename of the file you wish to import internet shortcuts from or select a previously used file by clicking on the down-arrow displayed to the right of the Source path-editbox. Click the Browse-button to select a file on your computer or network. As mentioned before, you can select HTML files, Text files, URLBase 4.0 databases and URLBase 5.0 databases for import. Click Next to continue when you have selected a file.

  • The wizard will display your selection. Click Finish to begin importing internet shortcuts from the file you specified or click Back to select another file.

After clicking the Finish-button, URLBase will import internet shortcuts and display them in the Confirm import-dialog. In this dialog you can review the items URLBase found during import. Clear the checkmark in front of an item to keep it from being imported by URLBase. When you have made your selection click the Import-button to import the items to your database or click the Cancel-button to cancel the import.

Related topics:

Exporting internet shortcuts


Exporting internet shortcuts

Exporting internet shortcuts [all editions]

You can export internet shortcuts via the Import/Export-wizard, which can be found on the File-menu. By using this wizard you can export internet shortcuts to browsers or HTML files.

Export to browser

  • In the Import/Export wizard-dialog, select the Export to browser-action and click Next.

  • Specify what you wish to export by selecting Complete file (export the complete contents of the database), Current category (only export the contents of the currently selected category) or Items belonging to library (only export items belonging to a specific library. Select one of the available libraries using the selection box. Note that this option is only available if you have defined one or more libraries. Also note that Generic-libraries are included in this listing. See the Libraries topic for more information). Click Next when you have made a selection.

  • In the Supported browsers-list, select the browser you wish to export to and click Next to continue. The browser you select determines the format in which URLBase will export internet shortcuts. As with importing from a browser, it is not required to have the selected browser installed on your system. URLBase will merely export the internet shortcuts in the selected browser's bookmarks/favorites/hotlist format.

  • Type a destination path and/or filename or select a previously used path/filename by clicking on the down-arrow displayed to the right of the Destination path-editbox. Click the Browse-button to select a path and/or filename on your computer or network. Click Next to continue.

  • The wizard will display your selection. Click Finish to begin exporting internet shortcuts to the browser you specified or click Back to select another browser or destination path.

Export to HTML

  • In the Import/Export wizard-dialog, select the Export to HTML-action and click Next.

  • Specify what you wish to export by selecting Complete file (export the complete contents of the database), Current category (only export the contents of the currently selected category) or Items belonging to library (only export items belonging to a specific library. Select one of the available libraries using the selection box. Note that this option is only available if you have defined one or more libraries. Also note that Generic-libraries are included in this listing. See the Libraries topic for more information). Click Next when you have made a selection.

  • Set a checkmark in front of the Include Table of contents-option if you wish to include a Table of contents in the exported HTML file. This option can be very useful when exporting large databases. When you enable this option, URLBase will automatically generate a Tabel of contents at the top of the HTML page with links to each category in the database, allowing you to quickly navigate through the HTML file.

  • Optionally, supply an alternative for the headers Table of contents, Back to top and Generated on. These headers are used in the HTML file. Click Next to continue.

  • Select a Cascading Stylesheet to be used with the generated HTML file. Cascading stylesheets are used to apply special formatting to elements used in the HTML file. You can select one of the predefined stylesheets or use the Browse-button to select a stylesheet on your computer or network. Click Next to continue.

  • Type a destination filename or click the down-arrow displayed to the right of the Destination path-editbox. Click the Browse-button to select a filename on your computer or network. Click Next to continue.

  • The wizard will display your selection. Click Finish to begin exporting internet shortcuts to the browser you specified or click Back to your selections.

Related topics:

Importing internet shortcuts


Synchronization

Synchronization [professional edition]

URLBase allows you to synchronize the contents of one or more libraries. This can be useful when, for example, you wish to use one collection of internet shortcuts for all browsers installed on your system. By using Synchronization you make sure the contents of the target library equals the contents of the source library.

Before you can use Synchronization you'll need to define one or more libraries (see the Libraries topic for more information). The Synchronization-dialog lists all the libraries you defined, which can be selected for import and/or export by setting a checkmark in the appropriate column. Note that Generic libraries will not be shown in the Synchronization-dialog, as these libraries are not associated with a filename and are only used to group internet shortcuts.

Let's assume you've opened an URLBase database and defined two libraries, Library 1 and Library 2. Library 1 contains two URL's: URL A and URL B, while Library 2 contains URL C and URL D.

Figure 1

By doing a synchronized import from the Synchronization-dialog, URLBase clears the contents of the active database and imports URL A, URL B, URL C and URL D. The contents of the active URLBase database now equals the combined contents of Library 1 and Library 2 (see Figure 1). You can take this a step further by doing a synchronized export from the active URLBase database to the two libraries (see Figure 2).

Figure 2

As you can see, the contents of the two libraries now equals the contents of the active URLBase database. The important thing to remember about Synchronization is that the target library will always be overwritten. Or to put it differently: Synchronization does not add, it overwrites. This means that if, for example, you added URL E to Library 1 before the synchronized export then it no longer exists in Library 1 after the synchronized export.

Related topics:

Synchronizing libraries


Synchronizing libraries

Synchronizing libraries [professional edition]

  • Open the Synchronize-dialog via the Tools-menu.

  • Select one or more libraries to import from by setting a checkmark in the Import-column or select one or more libraries to export to by setting a checkmark in the Export-column.

  • Click the Synchronize-button to import/export the selected libraries.

In the screenshot above the library IE Favorites has been selected for import. This means that URLBase will clear the contents of the active database before importing internet shortcuts from this library. The same goes for the IE Favorites on \\PDC library: URLBase will remove all contents from the target folder before exporting any internet shortcuts.

Related topics:

 Synchronization overview


Backup/Restore Overview

Backup/Restore [all editions]

To avoid data loss it is of vital importance you regularly create a backup of your URLBase databases. To make this task easier, URLBase comes with a powerful and easy to use Backup/Restore module, which allows you to create and manage backups of your URLBase databases. You can maintain a single backup archive for a database, updating it after each significant change or you can add multiple backup archives per database, giving you virtually an unlimited number of restore points.

The Backup/Restore dialog displays the archives you've created for each database. The archives are sorted by date and time so the most recent archive is shown first (see screenshot above).

Related topics:

Creating a backup
Updating a backup
Restoring a backup


Creating a backup

  • Open the File-menu and select Backup/Restore...

  • Click the Create-button

  • In the Source filename-editbox, specify which URLBase database you would like to backup. You can select a filename from the dropdown-list by clicking on the arrow at the far right of the edit box. This list will be populated with the entries from the Reopen-menu. You can also click the Browse...-button to browse your computer for a URLBase database. Of course you can also type the complete filename.

  • Optionally, supply a short description for the archive in the Backup comment-editbox, which might make it easier to distinguish different archives.

  • Click the Create-button to have URLBase create the backup.

URLBase will automatically generate a filename and store the archive in the Backups-folder, located in the URLBase installation folder. Each archive will be compressed to keep the amount of required disk space to a minimum. Please do not rename or move archives as URLBase will not be able to restore them if you do so.

Related topics:

Updating a backup
Restoring a backup

Backup/Restore overview


Updating a backup

  • Open the File-menu and select Backup/Restore...

  • Select the backup you wish to update from the list.

  • Click the "Update"-button. URLBase will update the contents of the selected backup. Note that this option is only available if the original file still exists!

Related topics:

Restoring a backup
Creating a backup

Backup/Restore overview


Restoring a backup

There are two ways to restore a backup from URLBase. You can restore a backup to the source file's original location or you can specify an alternate location. In URLBase 5.0 Personal Edition it's not required to close the original file before restoring a backup.

Restore to original location

  • Open the File-menu and select Backup/Restore...

  • Select the backup archive which you wish to restore.

  • Click the Restore-button. URLBase will display a warning to notify you that the original file will be overwritten by the backup you selected. Select Yes if you wish to proceed or No to cancel the restoration. Once the backup has been restored URLBase will automatically reload the file if it had been opened.

Restore to alternate location

  • Open the File-menu and select Backup/Restore...

  • Select the backup archive which you wish to restore.

  • Click the arrow on the right side of the Restore-button and select the Browse...-option.

  • Select a folder in which you wish to restore the selected backup and click the OK-button to proceed.

Related topics:

Creating a backup
Updating a backup

Backup/Restore overview


Libraries Overview

Libraries

Libraries are used to group internet shortcuts, based on origin or on your own criteria. With this you can easily import and/or export internet shortcuts but you could also use libraries to define a rating system. Within URLBase there are two library types: File-based and Generic libraries. File-based libraries are associated with an external file or folder, like Internet Explorer's Favorites or Opera's Hotlist. Their primary purpose is to enable you to quickly import and/or export frequently used internet shortcuts.

Generic libraries are, on the other hand, not associated with an external file or folder and are primarily used to group internet shortcuts from a database, based on your own criteria. For example: the Top rated-library shown in the screenshot below could be used to group the best websites from your database. By giving this library a specific color, you can easily recognize internet shortcuts belonging to this library. Furthermore you can easily export this library using the Import/Export wizard.

The library definitions on your system are unique and are not stored within the URLBase database, which also means libraries are database independent and thus can be used for every database you use on your system.

Related topics:

Creating a library definition
Assigning libraries


Creating a library definition

Creating a library definition [all editions]

  • Open the Tools-menu and select Libraries...

  • Click the New library...-button

  • In the Name-editbox type a name for the library.

  • Select a library type from the Type-dropdown list. For non-generic libraries you also need to specify a valid path or filename in the Path-editbox. For Generic libraries this editbox will be disabled.

  • Optionally, supply some comments in the Comments-editbox, describing this library.

  • You can also select a specific color for the library, which will be used to display assigned internet shortcuts in the program's main display and in the Libraries dialog. Click the Change...-button to select a color or click the Default-button to use the system's default text color.

Related topics:

Assigning libraries
Libraries overview


Assigning libraries

  • Select an internet shortcut or a category in the program's main display and use your right-mousebutton to bring up the context-menu.

  • Point to Assign library and select a library definition from the menu. Selecting <None> will clear the library assignment of the selected internet shortcut or category.

The Assign library-menuitem will be unavailable when you haven't created any library definitions.

Related topics:

Creating a library definition
Libraries overview


Searching the database

Searching the database [all editions]

Use the Find-dialog to search the database for a specific text. To narrow the search you can specify what URLBase should be looking for and whether the search should be case-sensitive.

  • On the Edit-menu, click Find....

  • Type the text you wish to find in the database in the Text to find-editbox. Click the down-arrow displayed on the right of the editbox to use a previously entered phrase.

  • In the Search for-section, specify what URLBase should be looking for.

  • If you want the search to be case-sensitive, set a checkmark in the Case sensitive-checkbox. Remove the checkmark if you don't want URLBase to differentiate uppercase from lowercase.

  • Setting a checkmark in the Whole database-checkbox causes URLBase to search the whole database. Remove the checkmark to start the search from the currently selected category to the end of the database.

  • Click the Find-button to start the search. URLBase will highlight the items that match your search criteria.


Scanning for duplicates

Scanning for duplicates [all editions]

To prevent URL's from being stored more than once, you can scan your database for duplicates. You can then remove the duplicate internet shortcuts or convert them to aliases.

  • On the Tools-menu, click Scan for duplicates.

  • Click the Scan file-button to begin scanning your database. Depending on the size of your database, this can take a few moments. When URLBase has finished scanning your database, the results will be displayed as shown above. If no duplicates were found URLBase will notify you via a message box.

  • To delete an internet shortcut, select the internet shortcut you wish to delete and click the Delete-button. Note: the category in which the internet shortcut resides is displayed in the statusbar.

  • To delete all internet shortcuts for an URL, select the URL you wish to delete and click the Delete-button.

  • To convert duplicate entries to aliases, select the URL for which you wish to convert the duplicates and click the Alias-button. URLBase will use the first internet shortcut listed as the reference internet shortcut. All other internet shortcuts for the selected URL are converted into aliases. Note: this option is only available in the Professional edition.


Verification of internet shortcuts

Verification of internet shortcuts [professional edition]

To ensure your internet shortcuts stay up to date you can let URLBase verify the existance of websites. URLBase will try to contact the server, using the internet shortcut's URL, in order to determine whether or not the given URL refers to an existing resource. Each internet shortcut will be updated accordingly, depending on the verification's progress and result.

URLBase uses the following icons to notify you of the verification progress:

Verification in progress - the internet shortcut's URL is being verified

Verification succesful

Verification failed - an error occured while attempting to verify the given URL

Verifying internet shortcuts

  • Select one or more internet shortcuts and/or categories and open the verification dialog via Tools|Verify selection (F9). You can also open a category and press F9 to verify all internet shortcuts within the category (including any sub-categories). Use Tools|Verify database (F8) to verify all internet shortcuts in the database.
  • Click the Verify all-button to start the verification or click the Verify errors-button to re-verify internet shortcuts on which verification previously failed.
  • Click the Skip-button to cancel the verification on the current internet shortcut. URLBase will proceed to the next internet shortcut, if available. Click Abort to cancel the whole verification process.
  • You can delete highlighted internet shortcuts by clicking the Delete-button. To remove all internet shortcuts on which verification failed, use the Delete errors button.

You can minimize the Verification dialog while verifying internet shortcuts. To bring up the dialog again, simply select Verify selection from the Tools menu or press F9 on your keyboard (Verify database (F8) does the same).


Quick Launch

Using the URLBase Quick Launch menu [all editions]

By activating the URLBase Quick Launch menu, you can access the contents of the opened database from the system's tray area (also known as the notification area). URLBase will add an icon to this area (standard URLBase icon). Right-click on this icon to bring up the Quick Launch menu (see screenshot). You can also double-click this icon to minimize or restore URLBase.

Note that the Quick Launch merely provides access to the database. It does not keep track of the internet shortcut's visits or last visited date.

For optimal performance only use the Quick Launch menu with small or medium sized databases.


Customizing URLBase

You can customize URLBase through the Options-dialog, which you can access via the Tools-menu.

General [all editions]

  • In the Reopen-section, set the maximum number of entries allowed on the Reopen-menu, which lists the recently used files. Use the Clear-button to remove all entries on the Reopen-menu.

  • In the Quick Launch-section you can enable or disable the URLBase Quick Launch tray menu. When enabled, URLBase displays an icon in the system's tray area (located to the far right of the Windows taskbar). Right-clicking this icon gives you access to a menu with the contents of the active database, allowing you to quickly open an internet shortcut. Note that the menu size depends on the database size. Navigating the menu can be quite tricky when working with a large database!

    Setting the Minimize URLBase to tray-option will hide URLBase from the Windows taskbar. Double-click the icon in the system's tray to restore URLBase. Leaving this option off will minimize URLBase to the Windows taskbar.

  • In the Startup-section you can control the way URLBase starts up. Set the Start minimized-option to have URLBase minimize on startup. The Open last used file-option determines whether or not to automatically open the last used file (first entry on the Reopen-menu).

Display [professional edition]

  • The Show categories in Internet shortcut display-option allows you to hide or show categories in the Internet shortcut display. When you disable this option, categories will only show in the Categories-list.

  • The Show lines in Categories display and Show buttons in Categories display options determine how categories are displayed.

  • Setting the Auto-expand Categories display-option causes URLBase to fully expand the categories in the Categories display when opening a database, making the sub-categories visible. When this option is not set, categories are only expanded when you select them.

  • You can customize the font used for the categories and internet shortcut displays. The Interface font-selection box lists all fonts installed on your system. Use the Use default-button to use the system's default font and size.

Verification [professional edition]

  • Set a maximum number of seconds URLBase should use for internet shortcut verification. When the maximum number of seconds have elapsed, URLBase will cancel the verification and move on to the next internet shortcut (if any). Note: it's possible that Windows causes a time-out to occur before the maximum number of seconds have elapsed.

  • URLBase can verify multiple internet shortcuts at the same time, which you can control by setting the Number of connections. You can set this option to a value between 1 and 25. Depending on your hardware configuration, setting this option to 25 might have an impact on your computer's performance.

  • You can configure URLBase to connect to a HTTP proxy server for the verification requests. You can leave the Use a HTTP proxy-option off if you have a direct connection to the internet. If you have Windows configured to connect to a proxy server you can leave this option off as well as URLBase will use the default connection settings.

Error reporting [professional edition]

  • Use the HTTP responses-list to configure which server responses should be marked as an error during verification. Removing the checkmark in front of a HTTP response causes URLBase to ignore this response.

History [all editions]

  • Certain features of URLBase keep a history of files or phrases used. Use the Display entries from-selection box to display the entries stored per feature. To remove a single entry: select an entry from the list and click the Clear entry-button. Clicking the Clear all-button will remove all history entries for the selected feature.

InfoCenter [professional edition]

  • Use the InfoCenter to keep up to date on the latest URLBase developments. You can configure URLBase to automatically check for updates, using a specific interval in days. Leave the Automatically check for updates-option off to check for updates manually.

Miscellaneous [professional edition]

  • The option Open Internet shortcuts in new browser window controls how internet shortcuts are opened. Set this option to open a new browser window for each internet shortcut you open. Leave this option off to open internet shortcuts in an active browser window (if available).

  • Setting the option Use enhanced import module for IE Favorites causes URLBase to use an enhanced import module for Internet Explorer Favorites. This module is part of our continued effort to improve URLBase. At this point it is highly experimental and could result in loss of data! Please use this module at your own risk!

    The enhanced import module is more integrated with the Windows operating system and should provide better support for Unicode.


Add/Remove columns

Add/Remove columns [all editions]

You can customize the columns displayed when working in Details-view. Using the Add/Remove columns-dialog you can add, remove and reorder columns. Only the Name-column is fixed, meaning that it cannot be hidden or reordered.

  • On the View-menu, click Add/Remove columns.

  • To hide a column, in Displayed columns, click the column you want to hide, and then click Remove.

  • To display a column, in Available columns, click the column you want to display, and then click Add.


Customizing the toolbar

Customizing the toolbar [all editions]

URLBase uses a toolbar to provide quick access to the most frequently used commands. Using the Customize toolbar-dialog you can customize the layout of the toolbar by adding, removing and reordering the available commands.

  • On the View-menu, click Customize toolbar (you can also right-click the toolbar).

  • To add a command to the toolbar, select a category from the Categories-list and drag a command from the Available commands-list to the toolbar.

  • To remove a command, drag it out of the toolbar and drop it anywhere on the screen.

  • You can reorder commands by dragging them to the desired location on the toolbar.

You can set additional options on the Options-page. Show ScreenTips on toolbar determines whether or not to display ScreenTips when you place your mouse pointer over a command on the toolbar. ScreenTips display a short description of the command, along with the keyboard shortcut (if any). The Show text labels-option controls the display of text labels on the commands.


Technical support

If you're in need of some information about URLBase, here are some tips on where to look for assistance:

  • Look in the lower left corner of the screen for information about buttons and menu-items, as well as the progress of a command being executed.

  • To view a ScreenTip for a dialog box option, click the question mark button in the dialog box, and then click the option.

  • Read the topics in this help file. If you're having problems with URLBase, please read the Known issues topic first. To scroll through a table of contents for Help, click the Contents tab. When you want to search for specific words or phrases, click the Index tab.

  • Visit the URLBase website for all the latest information about known issues, bug fixes and upgrades. You can also access this website via the Help-menu in URLBase.

  • Don't hesitate to contact us with your questions and/or suggestions.

Contacting us

Use the following e-mail address for URLBase related questions and/or problems:

urlbase@terriadev.com

Note: when you encounter a problem, please include a detailed description of the steps needed to reproduce the problem. Whenever possible, also include a system report created with the System report utility, found on the URLBase Help-menu and in the URLBase program group on the Windows Start-menu.


Legal notices

URLBase 5.0 Documentation

Copyright © 2003 Terria Development, in association with Metalusions.

The content of this guide is for informational use only, is subject to change without notice, and should not be construed as a commitment by Terria Development. Terria Development assumes no responsibility or liability for any errors or inaccuracies that may appear in the informational content contained in this guide.

No part of this guide may be reproduced, stored in a retrieval system, or transmitted, in any form or by any means, electronic, mechanical, recording, or otherwise, without the prior written permission of Terria Development. Please note that the content in this guide is protected under copyright law even if it is not distributed with software that includes an end user license agreement.

Microsoft, Windows, Windows NT, Windows XP and Internet Explorer are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries. Netscape, Netscape Navigator, and Netscape Communicator are registered trademarks and service marks of Netscape Communications Corporation in the United States and other countries. Pentium is a registered trademark of Intel Corporation. All other trademarks are the property of their respective owners.


Credits

URLBase 5.0 and all related files
Copyright © 1999 - 2003 Terria Development
In association with Metalusions
All rights reserved

URLBase website: http://www.terriadev.com/urlbase/

Concept & design
Arjan Haringa (Metalusions)
Martin Visser (Terria Development)

Program development
Martin Visser

Online development
Arjan Haringa

Documentation
Martin Visser

Quality assurance
Arjan Haringa
Marie VanDeCarr
Johan B. Kooistra

Beta Team
J. Frederiksen
Fred
Beeban
David Rossall
Dimitri Dimakopoulos
Peter Keppens
Phil Bingham
Gerardo Villalobos
Grant Burton
Hauke Schacht
Israel Quiroz
Jules
Mark Sapp
Knut Vidar
Paul Parks
Kathi O'Shea
Dylan Bennett
Kevin
Martin Jucker
Ove Klykken
Warren Grieve
Olive Herman
090000
Naomi C. Martinson

They say empty cans rattle the most...

Shallow are words from those who starve
For a dream not their own to slash and scar


; URLBase 5.0 context-sensitive help
; Copyright (c) 1999 - 2002
; Terria Developement
; Metalusions

.topic 0
No topic has been associated with the control.

.topic 101
Lists all the backups available on your system, per database.

.topic 102
Specify the database you wish to backup.Click the down-arrow to select a recently opened database or use the Browse-button to locate a database on your system.

.topic 103
Supply a comment for the archive (optionally).

.topic 201
Displays the available import/export actions.

.topic 202
Displays a description of the selected action.

.topic 203
Lists the supported browsers you can import bookmarks from.

.topic 204
Specify the location where you wish to import from. Click the down-arrow to select a recently used location or use the Browse-button to select a location. Depending on the browser you selected in the previous step, you may have to include a valid filename.

.topic 205
Lists all available library definitions, excluding Generic-libraries.

.topic 206
Specify the file you wish to import. Click the down-arrow to select a recently used file or use the Browse-button to locate a file on your system.

.topic 207
Exports the complete database.

.topic 208
Only exports the selected category.

.topic 209
Only exports internet shortcuts belonging to the specified library.

.topic 210
Lists all available library definitions.

.topic 211
Lists all supported browsers you can export to.

.topic 212
Specify the location you wish to export to. Click the down-arrow to select a recently used location or use the Browse-button to select a location. Depending on the browser you selected in the previous step, you may need to include a filename.

.topic 213
Set this option to include a Table Of Contents in the generated HTML file.

.topic 214
Specify an alternative text for "Table of contents" (optionally).

.topic 215
Specify an alternative text for "Back to top" (optionally).

.topic 216
Specify an alternative text for "Generated on" (optionally).

.topic 217
Use one of the predefined CSS templates.

.topic 218
Lists all available predefined CSS templates.

.topic 219
Use a custom CSS definition.

.topic 220
Specify the filename of the CSS definition you wish to use. Click the Browse-button to locate a CSS definition on your system.

.topic 221
Specify the filename you wish to export to. Click the Browse-button to select a location.

.topic 222
Type the text you wish to find or click the down-arrow to select previously entered text.

.topic 223
Specify what you wish to search for.

.topic 224
Differentiates uppercase from lowercase when performing a search.

.topic 225
Searches the whole database for the text you specified when checked. Uncheck this option to search the database from the current selection to the end of the database.

.topic 226
Scans the active database for duplicate URL's.

.topic 227
Deletes the selected item from the database.

.topic 228
Converts duplicate URL's into aliases, using the first entry as the reference internet shortcut.

.topic 300
Displays all available columns you can select.

.topic 301
Adds the selected column to the display.

.topic 302
Removes the selected column from the display.

.topic 303
Lists all columns currently displayed.

.topic 304
Moves the selected column up in the list. The top-to-bottom order determines the left-to-right order in the display.

.topic 305
Moves the selected column down in the list. The top-to-bottom order determines the left-to-right order in the display.

.topic 400
Displays all configured browsers.

.topic 401
Displays basic information. Click the Browse-button to select a different browser.

.topic 402
Type a name for the browser, as it will appear on the Browser-menu.

.topic 403
Specify commandline parameters, if required. Consult the browser's documentation for more information.

.topic 501
Type a name for the library.

.topic 502
Specify the type of the library. The type determines the type of bookmarks associated with this library and whether or not you need to specify a path or filename.

.topic 503
Specify the path or filename this library refers to (only available for non-generic libraries).

.topic 504
Type some comments for this library (optional).

.topic 505
Shows the color currently used for this library.

.topic 506
Allows you to select a different color to be used for this library.

.topic 507
Sets the library's color to the system's window text color.

.topic 508
Shows how the library will appear in the main display.

.topic 600
Sets the maximum number of entries allowed on the Reopen-menu.

.topic 601
Clears the Reopen-menu. This cannot be undone!

.topic 602
Enables the URLBase Quick Launch tray icon.

.topic 603
When checked, URLBase will be minimized to the system tray instead of the taskbar. To restore URLBase, double-click on the URLBase icon in the system tray.

.topic 604
Minimizes URLBase at startup to either the taskbar or the system tray.

.topic 605
Set this option to have URLBase automatically open the last used file (first entry on the Reopen-menu).

.topic 606
Sets the number of seconds before a time-out occurs.

.topic 607
Set this option to use a HTTP proxy server. You don’t have to enable this option if you have a direct connection to the Internet or if you wish to use the system’s default proxy server.

.topic 608
Provides a space for you to type the address of the proxy server you wish to use to connect to the Internet.

.topic 609
Provides a space for you to type the port number of the proxy server you wish to use to connect to the Internet.

.topic 610
Type the username used for proxy server authentication (if required).

.topic 611
Type the password used for proxy server authentication (if required).

.topic 612
Select the HTTP server responses you wish URLBase to report as an error. Responses not selected in this list will be ignored.

.topic 613
Displays a list of history groups, representing URLBase features which keep a history.

.topic 614
Removes the selected history item from the current group.

.topic 615
Removes all history items from the current group.

.topic 616
Displays all history items for the current group.

.topic 617
When checked, URLBase will automatically check for updated headlines at startup.

.topic 618
Sets the interval in days.

.topic 619
Set this option to have URLBase automatically display InfoCenter when there are new headlines.

.topic 620
Displays the date and time InfoCenter last checked for updates.

.topic 621
Displays the date and time of the last InfoCenter update.

.topic 622
When checked, URLBase will display categories in the internet shortcut display (listview).

.topic 623
Toggles the display of lines in the Categories display (treeview).

.topic 624
Toggles the display of buttons in the Categories display (treeview).

.topic 625
Lists all available fonts on your system.

.topic 626
Lists all available font sizes you can apply.

.topic 627
Select the system's default font and size.

.topic 628
Displays a preview of the current font selection.

.topic 629
When checked, Internet shortcuts are always opened in a new browser window instead of reusing an active browser window.

.topic 630
Sets the maximum number of simultaneous connections used for the verification process.

.topic 631
When checked, the Categories display automatically expands all categories, making every sub-category visible. Otherwise categories are only expanded when you select them.

.topic 632
When checked, URLBase uses an enhanced import module for Internet Explorer Favorites. This module is highly experimental and may lead to loss of data! Use at your own risk!


Category properties

General-tab

  • In the Name-editbox, type a name for the Category, which will be used to display the Category in the database.

  • Optionally, supply a description for the Internet shortcut.

Keywords-tab

Optionally you can supply one or more keywords to make it easier to locate the Internet shortcut in the database.

  • To add a keyword: type a keyword in the editbox and click the Add-button. URLBase will move the new keyword to the keywords-list.

  • To remove a keyword: select a keyword from the keywords-list and click the Delete-button.

Advanced-tab

  • To convert the Category to a Groupmark, set a checkmark in the Save as Groupmark-option. When you're viewing the properties of a Groupmark, remove the checkmark to convert the Groupmark back to a Category. Note that this option is only available for categories without any sub-categories.

Related topics

Datatypes


Database properties

General-tab

  • In the Title-editbox, type the title (or name) for the database, which will be used to display the root item of the database.

  • Optionally, supply a description for the database.

Details-tab

The Details-tab displays the date and time when the database was created and last modified.


Internet shortcut properties

General-tab

  • In the Name-editbox, type a name for the Internet shortcut, which will be used to display the Internet shortcut in the database.

  • Specify a valid URL in the URL-editbox. You don't have to include the protocol as URLBase will automatically append it to the URL. For example: if you enter the URL www.terriadev.com, URLBase will modify the URL to http://www.terriadev.com.

  • Optionally, supply a description for the Internet shortcut.

Keywords-tab

Optionally you can supply one or more keywords to make it easier to locate the Internet shortcut in the database.

  • To add a keyword: type a keyword in the editbox and click the Add-button. URLBase will move the new keyword to the keywords-list.

  • To remove a keyword: select a keyword from the keywords-list and click the Delete-button.

Details-tab

The Details-tab is only displayed when viewing the properties of an existing Internet shortcut. On this tab URLBase displays information about the Internet shortcut, like when it was added to the database, when it was last visited, the total number of visits and the last verification date and result.